tt_pattern_class_add(library call)

NAME
tt_pattern_class_add — add a value to the class information for a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_class_add(
Tt_pattern p,
Tt_class c);

DESCRIPTION

The tt_pattern_class_add function adds a value to the class information for the specified pattern.

If the class is TT_REQUEST, the sending process expects a reply to the message.

If the class is TT_NOTICE, the sending process does not expect a reply to the message.

The p argument is a unique handle for a message pattern. This handle is returned after tt_pattern_create(3) is called. The c argument indicates whether the receiving process is to take action after the message is received. The following values are defined:

TT_NOTICE
    A notice of an event. The sender does not want feedback on this message.

TT_REQUEST
    A request for some action to be taken. The sender must be notified of progress, success or failure, and must receive any return values.

RETURN VALUE

Upon successful completion, the tt_pattern_class_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_create(3).